package com.demo.simulations;

import com.demo.utils.ConfigReader;
import io.gatling.javaapi.http.HttpProtocolBuilder;

import java.io.IOException;

import static io.gatling.javaapi.http.HttpDsl.http;

public class BaseSimulation {


    public HttpProtocolBuilder baseInitialization() throws IOException {
        HttpProtocolBuilder httpProtocolBuilder = http.baseUrl(new ConfigReader().getBaseURL()).acceptHeader("application/json")
                .userAgentHeader("Gatling Java")
                .disableCaching()
                .inferHtmlResources();

        return httpProtocolBuilder;


    }
}

